NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.CurveFinderBuilder Class Reference

Represents a collection of curves and their relationships to other curves in the model More...

Inheritance diagram for NXOpen.Features.CurveFinderBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddChamfer ()
 Adds chamfer relations of the last curves added to curve collector More...
 
unsafe void AddCoincident ()
 Adds coincident vertex relations of the last vertexes added to curve collector More...
 
unsafe void AddCoincident2dComponent ()
 Adds coincident 2d component relations of the last curves added to curve collector More...
 
unsafe void AddCoincidentSketchGroup ()
 Adds coincident sketch group relations of the last curves added to curve collector More...
 
unsafe void AddConcentric ()
 Adds concentric relations of the last curves added to curve collector More...
 
unsafe void AddConcentric2dComponent ()
 Adds concentric 2d component relations of the last curves added to curve collector More...
 
unsafe void AddConcentricSketchGroup ()
 Adds concentric sketch group relations of the last curves added to curve collector More...
 
unsafe void AddConlinear ()
 Adds conlinear relations of the last curves added to curve collector More...
 
unsafe void AddConlinear2dComponent ()
 Adds conlinear 2d component relations of the last curves added to curve collector More...
 
unsafe void AddConlinearSketchGroup ()
 Adds conlinear sketch group relations of the last curves added to curve collector More...
 
unsafe void AddEqualRadius ()
 Adds equal radius relations of the last curves added to curve collector More...
 
unsafe void AddEqualRadius2dComponent ()
 Adds equal radius 2d component relations of the last curves added to curve collector More...
 
unsafe void AddEqualRadiusSketchGroup ()
 Adds equal radius sketch group relations of the last curves added to curve collector More...
 
unsafe void AddOffset ()
 Adds offset relations of the last curves added to curve collector More...
 
unsafe void AddOffset2dComponent ()
 Adds offset 2d component relations of the last curves added to curve collector More...
 
unsafe void AddOffsetSketchGroup ()
 Adds offset sketch group relations of the last curves added to curve collector More...
 
unsafe void AddParallel ()
 Adds parallel relations of the last curves added to curve collector More...
 
unsafe void AddParallel2dComponent ()
 Adds parallel 2d component relations of the last curves added to curve collector More...
 
unsafe void AddParallelSketchGroup ()
 Adds parallel sketch group relations of the last curves added to curve collector More...
 
unsafe void AddSymmetric (int planeType)
 Add symmetric relations of the last curves added to curve collector More...
 
unsafe void AddTangent ()
 Adds tangent relations of the last curves added to curve collector More...
 
unsafe void AddTangent2dComponent ()
 Adds tangent 2d component relations of the last curves added to curve collector More...
 
unsafe void AddTangentSketchGroup ()
 Adds tangent sketch group relations of the last curves added to curve collector More...
 
unsafe void AddVertexOnCurve ()
 Adds vertex on curve relations of the last curves added to curve collector More...
 
unsafe void AddVertexOnCurve2dComponent ()
 Adds vertex on curve 2d component relations of the last curves added to curve collector More...
 
unsafe void AddVertexOnCurveSketchGroup ()
 Adds vertex on curve sketch group relations of the last curves added to curve collector More...
 
unsafe void DeselectCurves (NXOpen.NXObject[] curves)
 Removes curves from collector More...
 
unsafe void DeselectSnapPoint (NXOpen.TaggedObject selectedCurve, NXOpen.Point3d point)
 Removes snap point from collector More...
 
unsafe void DeselectSymmetryReference (NXOpen.NXObject symmetryReference)
 Deselect entity for symmetry reference More...
 
unsafe void FindRelationCurve (NXOpen.NXObject[] selectedCurves)
 Finds relation curves More...
 
unsafe void FindScopeCurve (NXOpen.NXObject[] selectedCurves)
 Finds relation curves in the scope More...
 
unsafe void RecognizeRigid (NXOpen.NXObject constraintTag)
 Recognize rigid from the recognized relation More...
 
unsafe void RemoveChamfer ()
 Removes chamfer relations of the last curves added to curve collector More...
 
unsafe void RemoveCoincident ()
 Removes coincident vertex relations of the last vertexes added to curve collector More...
 
unsafe void RemoveCoincident2dComponent ()
 Removes coincident 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveCoincidentSketchGroup ()
 Removes coincident sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveConcentric ()
 Removes concentric relations of the last curves added to curve collector More...
 
unsafe void RemoveConcentric2dComponent ()
 Removes concentric 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveConcentricSketchGroup ()
 Removes concentric sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveConlinear ()
 Removes conlinear relations of the last curves added to curve collector More...
 
unsafe void RemoveConlinear2dComponent ()
 Removes conlinear 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveConlinearSketchGroup ()
 Removes conlinear sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveEngineNodes ()
 Close the VTK interaction and Remove all nodes from the Engine More...
 
unsafe void RemoveEqualRadius ()
 Removes equal radius relations of the last curves added to curve collector More...
 
unsafe void RemoveEqualRadius2dComponent ()
 Removes equal radius 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveEqualRadiusSketchGroup ()
 Removes equal radius sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveIncludedConstraints ()
 Remove all the included constraint More...
 
unsafe void RemoveOffset ()
 Removes offset relations of the last curves added to curve collector More...
 
unsafe void RemoveOffset2dComponent ()
 Removes offset 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveOffsetSketchGroup ()
 Removes offset sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveParallel ()
 Removes parallel relations of the last curves added to curve collector More...
 
unsafe void RemoveParallel2dComponent ()
 Removes parallel 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveParallelSketchGroup ()
 Removes parallel sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveSymmetric (int planeType)
 Removes symmetric relations of the last curves added to curve collector More...
 
unsafe void RemoveTangent ()
 Removes tangent relations of the last curves added to curve collector More...
 
unsafe void RemoveTangent2dComponent ()
 Removes tangent 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveTangentSketchGroup ()
 Removes tangent sketch group relations of the last curves added to curve collector More...
 
unsafe void RemoveVertexOnCurve ()
 Removes vertex on curve relations of the last curves added to curve collector More...
 
unsafe void RemoveVertexOnCurve2dComponent ()
 Removes vertex on curve 2d component relations of the last curves added to curve collector More...
 
unsafe void RemoveVertexOnCurveSketchGroup ()
 Removes vertex on curve sketch group relations of the last curves added to curve collector More...
 
unsafe void RestoreEngineNodes ()
 ReStore all nodes from the Engine On Undo More...
 
unsafe void SelectCurves (NXOpen.NXObject[] curves)
 Adds curves to collector More...
 
unsafe void SelectSnapPoint (NXOpen.TaggedObject selectedCurve, NXOpen.Point3d point)
 Adds snap point to collector More...
 
unsafe void SelectSymmetryReference (NXOpen.NXObject symmetryReference)
 Selects entity for symmetry reference More...
 
unsafe void SetDistanceTolerance (double distanceTolerance)
 Set the distance Tolerance for loop Recognization More...
 
unsafe void UnrecognizeRigid (NXOpen.NXObject constraintTag)
 Unrecognize rigid from the unrecognized relation More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ChamferEnabled [get, set]
 Returns or sets a value that indicates whether add chamfer relation recognition for the last curves added to curve collector More...
 
unsafe bool CoincidentVertex2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool CoincidentVertexEnabled [get, set]
 Returns or sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector More...
 
unsafe bool CoincidentVertexSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector More...
 
unsafe bool Collinear2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool CollinearEnabled [get, set]
 Returns or sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector More...
 
unsafe bool CollinearSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector More...
 
unsafe int CompoundGeometryRelationScope [get, set]
 Returns or sets a value that indicates what kind of 2d component relations are needed to recognize More...
 
unsafe bool Concentric2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool ConcentricEnabled [get, set]
 Returns or sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector More...
 
unsafe bool ConcentricSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
CurvePointList [get]
 Returns the curve and point collector More...
 
unsafe NXOpen.ScCollector CurveSection [get]
 Returns the curve collector More...
 
unsafe bool EqualRadius2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector More...
 
unsafe bool EqualRadiusEnabled [get, set]
 Returns or sets a value that indicates whether add equal radius recognition for the last curves added to curve collector More...
 
unsafe bool EqualRadiusSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add equal radius recognition for the last curves added to curve collector More...
 
unsafe int FindScopeOption [get, set]
 Returns or sets a value that indicates which find scope option is More...
 
unsafe bool Offset2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool OffsetEnabled [get, set]
 Returns or sets a value that indicates whether add offset relation recognition for the last curves added to curve collector More...
 
unsafe bool OffsetSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add offset relation recognition for the last curves added to curve collector More...
 
unsafe bool Parallel2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool ParallelEnabled [get, set]
 Returns or sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector More...
 
unsafe bool ParallelSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector More...
 
unsafe int RelationScope [get, set]
 Returns or sets a value that indicates what kind of relations are needed to recognize More...
 
unsafe int SketchGroupRelationScope [get, set]
 Returns or sets a value that indicates what kind of sketch group relations are needed to recognize More...
 
unsafe bool SymmetricEnabled [get, set]
 Returns or sets a value that indicates whether add symmetric relation recognition for the last curves added to curve collector More...
 
unsafe int SymmetryOption [get, set]
 Returns or sets a value that indicates which symmetric option is More...
 
unsafe NXOpen.SelectNXObject SymmetryReference [get]
 Returns the symmetry line reference More...
 
unsafe bool Tangent2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector More...
 
unsafe bool TangentEnabled [get, set]
 Returns or sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector More...
 
unsafe bool TangentSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector More...
 
unsafe bool UseCurveFinder [get, set]
 Returns or sets a value that indicates whether relation recognition is enabled More...
 
unsafe bool VertexOnCurve2dComponentEnabled [get, set]
 Returns or sets a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector More...
 
unsafe bool VertexOnCurveEnabled [get, set]
 Returns or sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector More...
 
unsafe bool VertexOnCurveSketchGroupEnabled [get, set]
 Returns or sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a collection of curves and their relationships to other curves in the model

Created in NX11.0.0

Member Function Documentation

unsafe void NXOpen.Features.CurveFinderBuilder.AddChamfer ( )
inline

Adds chamfer relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddCoincident ( )
inline

Adds coincident vertex relations of the last vertexes added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddCoincident2dComponent ( )
inline

Adds coincident 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddCoincidentSketchGroup ( )
inline

Adds coincident sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConcentric ( )
inline

Adds concentric relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConcentric2dComponent ( )
inline

Adds concentric 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConcentricSketchGroup ( )
inline

Adds concentric sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConlinear ( )
inline

Adds conlinear relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConlinear2dComponent ( )
inline

Adds conlinear 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddConlinearSketchGroup ( )
inline

Adds conlinear sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddEqualRadius ( )
inline

Adds equal radius relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddEqualRadius2dComponent ( )
inline

Adds equal radius 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddEqualRadiusSketchGroup ( )
inline

Adds equal radius sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddOffset ( )
inline

Adds offset relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddOffset2dComponent ( )
inline

Adds offset 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddOffsetSketchGroup ( )
inline

Adds offset sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddParallel ( )
inline

Adds parallel relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddParallel2dComponent ( )
inline

Adds parallel 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddParallelSketchGroup ( )
inline

Adds parallel sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddSymmetric ( int  planeType)
inline

Add symmetric relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
planeType
unsafe void NXOpen.Features.CurveFinderBuilder.AddTangent ( )
inline

Adds tangent relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddTangent2dComponent ( )
inline

Adds tangent 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddTangentSketchGroup ( )
inline

Adds tangent sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddVertexOnCurve ( )
inline

Adds vertex on curve relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddVertexOnCurve2dComponent ( )
inline

Adds vertex on curve 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.AddVertexOnCurveSketchGroup ( )
inline

Adds vertex on curve sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.DeselectCurves ( NXOpen.NXObject[]  curves)
inline

Removes curves from collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curves
unsafe void NXOpen.Features.CurveFinderBuilder.DeselectSnapPoint ( NXOpen.TaggedObject  selectedCurve,
NXOpen.Point3d  point 
)
inline

Removes snap point from collector

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurveselected curve
pointselected point
unsafe void NXOpen.Features.CurveFinderBuilder.DeselectSymmetryReference ( NXOpen.NXObject  symmetryReference)
inline

Deselect entity for symmetry reference

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetryReference
unsafe void NXOpen.Features.CurveFinderBuilder.FindRelationCurve ( NXOpen.NXObject[]  selectedCurves)
inline

Finds relation curves

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurves
unsafe void NXOpen.Features.CurveFinderBuilder.FindScopeCurve ( NXOpen.NXObject[]  selectedCurves)
inline

Finds relation curves in the scope

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurves
unsafe void NXOpen.Features.CurveFinderBuilder.RecognizeRigid ( NXOpen.NXObject  constraintTag)
inline

Recognize rigid from the recognized relation

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
constraintTag
unsafe void NXOpen.Features.CurveFinderBuilder.RemoveChamfer ( )
inline

Removes chamfer relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveCoincident ( )
inline

Removes coincident vertex relations of the last vertexes added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveCoincident2dComponent ( )
inline

Removes coincident 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveCoincidentSketchGroup ( )
inline

Removes coincident sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConcentric ( )
inline

Removes concentric relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConcentric2dComponent ( )
inline

Removes concentric 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConcentricSketchGroup ( )
inline

Removes concentric sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConlinear ( )
inline

Removes conlinear relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConlinear2dComponent ( )
inline

Removes conlinear 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveConlinearSketchGroup ( )
inline

Removes conlinear sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveEngineNodes ( )
inline

Close the VTK interaction and Remove all nodes from the Engine

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveEqualRadius ( )
inline

Removes equal radius relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveEqualRadius2dComponent ( )
inline

Removes equal radius 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveEqualRadiusSketchGroup ( )
inline

Removes equal radius sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveIncludedConstraints ( )
inline

Remove all the included constraint

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveOffset ( )
inline

Removes offset relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveOffset2dComponent ( )
inline

Removes offset 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveOffsetSketchGroup ( )
inline

Removes offset sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveParallel ( )
inline

Removes parallel relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveParallel2dComponent ( )
inline

Removes parallel 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveParallelSketchGroup ( )
inline

Removes parallel sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveSymmetric ( int  planeType)
inline

Removes symmetric relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
planeType
unsafe void NXOpen.Features.CurveFinderBuilder.RemoveTangent ( )
inline

Removes tangent relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveTangent2dComponent ( )
inline

Removes tangent 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveTangentSketchGroup ( )
inline

Removes tangent sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveVertexOnCurve ( )
inline

Removes vertex on curve relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveVertexOnCurve2dComponent ( )
inline

Removes vertex on curve 2d component relations of the last curves added to curve collector

Created in NX11.0.1

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RemoveVertexOnCurveSketchGroup ( )
inline

Removes vertex on curve sketch group relations of the last curves added to curve collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.RestoreEngineNodes ( )
inline

ReStore all nodes from the Engine On Undo

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe void NXOpen.Features.CurveFinderBuilder.SelectCurves ( NXOpen.NXObject[]  curves)
inline

Adds curves to collector

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curves
unsafe void NXOpen.Features.CurveFinderBuilder.SelectSnapPoint ( NXOpen.TaggedObject  selectedCurve,
NXOpen.Point3d  point 
)
inline

Adds snap point to collector

Created in NX12.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
selectedCurveselected curve
pointselected point
unsafe void NXOpen.Features.CurveFinderBuilder.SelectSymmetryReference ( NXOpen.NXObject  symmetryReference)
inline

Selects entity for symmetry reference

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
symmetryReference
unsafe void NXOpen.Features.CurveFinderBuilder.SetDistanceTolerance ( double  distanceTolerance)
inline

Set the distance Tolerance for loop Recognization

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
distanceTolerance
unsafe void NXOpen.Features.CurveFinderBuilder.UnrecognizeRigid ( NXOpen.NXObject  constraintTag)
inline

Unrecognize rigid from the unrecognized relation

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
constraintTag
unsafe bool NXOpen.Features.CurveFinderBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Features.CurveFinderBuilder.ChamferEnabled
getset

Returns or sets a value that indicates whether add chamfer relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.CoincidentVertex2dComponentEnabled
getset

Returns or sets a value that indicates whether add coincident vertex 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.CoincidentVertexEnabled
getset

Returns or sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.CoincidentVertexSketchGroupEnabled
getset

Returns or sets a value that indicates whether add coincident vertex relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.Collinear2dComponentEnabled
getset

Returns or sets a value that indicates whether add collinear 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.CollinearEnabled
getset

Returns or sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.CollinearSketchGroupEnabled
getset

Returns or sets a value that indicates whether add collinear relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.CurveFinderBuilder.CompoundGeometryRelationScope
getset

Returns or sets a value that indicates what kind of 2d component relations are needed to recognize

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.Concentric2dComponentEnabled
getset

Returns or sets a value that indicates whether add concentric 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.ConcentricEnabled
getset

Returns or sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.ConcentricSketchGroupEnabled
getset

Returns or sets a value that indicates whether add concentric relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.CurveFinderBuilder.CurvePointList
get

Returns the curve and point collector

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.CurveFinderBuilder.CurveSection
get

Returns the curve collector

Created in NX11.0.0

Deprecated in NX10.0.0. This is for pre NX10 usage, do not use this method.

License requirements: None.

unsafe bool NXOpen.Features.CurveFinderBuilder.EqualRadius2dComponentEnabled
getset

Returns or sets a value that indicates whether add equal radius 2d component recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.EqualRadiusEnabled
getset

Returns or sets a value that indicates whether add equal radius recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.EqualRadiusSketchGroupEnabled
getset

Returns or sets a value that indicates whether add equal radius recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.CurveFinderBuilder.FindScopeOption
getset

Returns or sets a value that indicates which find scope option is

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.Offset2dComponentEnabled
getset

Returns or sets a value that indicates whether add offset 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.OffsetEnabled
getset

Returns or sets a value that indicates whether add offset relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.OffsetSketchGroupEnabled
getset

Returns or sets a value that indicates whether add offset relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.Parallel2dComponentEnabled
getset

Returns or sets a value that indicates whether add parallel 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.ParallelEnabled
getset

Returns or sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.ParallelSketchGroupEnabled
getset

Returns or sets a value that indicates whether add parallel relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.CurveFinderBuilder.RelationScope
getset

Returns or sets a value that indicates what kind of relations are needed to recognize

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.CurveFinderBuilder.SketchGroupRelationScope
getset

Returns or sets a value that indicates what kind of sketch group relations are needed to recognize

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.SymmetricEnabled
getset

Returns or sets a value that indicates whether add symmetric relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.CurveFinderBuilder.SymmetryOption
getset

Returns or sets a value that indicates which symmetric option is

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectNXObject NXOpen.Features.CurveFinderBuilder.SymmetryReference
get

Returns the symmetry line reference

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Features.CurveFinderBuilder.Tangent2dComponentEnabled
getset

Returns or sets a value that indicates whether add tangent 2d component relation recognition for the last curves added to curve collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.TangentEnabled
getset

Returns or sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.TangentSketchGroupEnabled
getset

Returns or sets a value that indicates whether add tangent relation recognition for the last curves added to curve collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.UseCurveFinder
getset

Returns or sets a value that indicates whether relation recognition is enabled

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.VertexOnCurve2dComponentEnabled
getset

Returns or sets a value that indicates whether add vertex on curve 2d component relation recognition for the last vertexes added to the collector

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.VertexOnCurveEnabled
getset

Returns or sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.CurveFinderBuilder.VertexOnCurveSketchGroupEnabled
getset

Returns or sets a value that indicates whether add vertex on curve relation recognition for the last vertexes added to the collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.